%define		tarball		xf86-video-i740
%define		moduledir	%(pkg-config xorg-server --variable=moduledir )
%define		driverdir	%{moduledir}/drivers

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Xorg X11 i740 video driver
Name:		xorg-x11-drv-i740
Version:	1.3.2
Release:	1
URL:		http://www.x.org
License:	MIT/X11
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0:	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

ExclusiveArch:	%{ix86}

BuildRequires:	pkg-config
BuildRequires:	xorg-x11-server-sdk
BuildRequires:	libpciaccess-devel

Requires:	xorg-x11-server-Xorg

%description 
X.Org X11 i740 video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
#install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/i740_drv.so
#%{_datadir}/hwdata/videoaliases/i128.xinf
#%dir %{_mandir}/man4x
%{_mandir}/man4/i740.4*

%changelog
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.2-1
- Version Update
* Sat May 23 2009 Christian Wasem <wasem@ccux-linux.de> 1.3.0-1
- Version update - x.org 1.6.1.901
* Sat Sep 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Initial release
